Status: Open Start date: 09/18/2019

Priority: High Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: QA

Category: Content Wizard Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

1- The Content wizard should support the arabic language

2- The system should be smart enough to detect the language of the portal and reflect it in the content wizard

History

#1 - 10/10/2019 01:14 PM - Yazan Awad

- Priority changed from Normal to High

#2 - 10/10/2019 01:33 PM - Yazan Awad

- Related to Task #1778: Testing the system in Arabic language added

#3 - 10/10/2019 01:37 PM - Yazan Awad

- Related to deleted (Task #1778: Testing the system in Arabic language)

#4 - 10/10/2019 01:38 PM - Yazan Awad

- Related to Bug #1966: OAM Issue added

#5 - 10/10/2019 01:38 PM - Yazan Awad

- Tracker changed from Bug to Task

#6 - 10/13/2019 02:47 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-4

- SERVICE_ID set to 12

#7 - 10/27/2019 12:27 PM - Yazan Awad

- Project changed from Sprint-4 to MOSA Backlog

#8 - 03/01/2021 01:27 AM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Saja Nakhleh

Finally, implemented on QA
#9 - 03/14/2021 04:43 PM - Saja Nakhleh

- File tabs labels of content wizard.GIF added

- File metadata labels.GIF added

- File WF steps labels, WF proccess.GIF added

- File WF steps labels, main label.GIF added

- File error messages.png added

- File metadata labels, update a vedio.GIF added

Issue #1:

Once the applicant try to add new content then the tabs labels of content wizard will be in English.

Observe the attached evidence.

Issue #2:

On the metadata tab, Observe the "Publish" field label, also it's in english

Observe the attached evidence.

Issue #3:

Open the dialog Workflow process(تفاصيل سير العمل) and observe the steps labels are all in english

Observe the attached evidence.

Issue #4:

also observe the labels of WF steps on the summery tab

Observe the attached evidence.

Issue #5:

create new event and choose same value for the start and end dates, Observe the occurred error message that in english

Issue #6:

create new video content then click update and navigate to the metadata tab, observe the inhibit propagation field in english

#10 - 03/15/2021 10:51 AM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Zaid Shakboua

#11 - 03/16/2021 11:17 PM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Saja Nakhleh

Issue #1: Fixed, there is not OOTB solution to translate the element titles in Site Studion, instead, i literally translated the titles using javascript as a

workaround.

Issue #2: Fixed, this is a system control that the contributor do NOT need or use, i hide this control field.

Issue #3 + Issue #4: Pending, the displayed in the attached screenshot(s) is English is the actual workflow and workflow step names. i'll add a

localized description to be displayed instead of the actual name (the workflow and workflow step names cannot be localized). this requires me to

update all of the workflows in the system and this need more time.

NOTE: This is not a part of this task, it will be better if you open a new task for this issue.
Issue #5: Pending, the page in the attached screenshot is the system global error message page, i could not pass the locale as parameter to this

page but i'll try some other solutions. expected to be ready this week.

Issue #6: Fixed, this is a system control that the contributor do NOT need or use, i hide this control field.

Just to make sure we are the same page, the same will happen for any content type not only for Video type, right?

#12 - 04/01/2021 12:50 AM - Zaid Shakboua

Issue #5: Fixed, the creation screen will not proceed on error thus no error message (correct/incorrect translate) is displayed.

Files

tabs labels of content wizard.GIF 169 KB 03/14/2021 Saja Nakhleh

metadata labels.GIF 27.5 KB 03/14/2021 Saja Nakhleh

WF steps labels, WF proccess.GIF 113 KB 03/14/2021 Saja Nakhleh

WF steps labels, main label.GIF 49.2 KB 03/14/2021 Saja Nakhleh

error messages.png 43.3 KB 03/14/2021 Saja Nakhleh

metadata labels, update a vedio.GIF 25.2 KB 03/14/2021 Saja Nakhleh
